<?php
$sub_menu = "777200";
include_once('./_common.php');

include_once(AMINA_PATH.'/lib/admin.lib.php');

include_once(AMINA_PATH.'/lib/head.lib.php');

include(G5_PATH.'/head.sub.php');

$response_day = 30; //30이내 기록만 남겨둠

?>

<link rel="stylesheet" href="<?=AMINA_URL?>/css/admin.css" />

<div style="padding:15px;">

	<b>■ 내글반응 로그 정리하기</b>

	<? if($act) { ?>

		<?
			// 설정일이 지난 글반응 로그 삭제
			$sql = " delete from {$g5['amina_response']} where (TO_DAYS('{$g5['time_ymdhis']}') - TO_DAYS(re_datetime)) > '$response_day' ";
			sql_query($sql);
			sql_query(" OPTIMIZE TABLE `{$g5['amina_response']}` ");
		?>
		<script type="text/javascript"> 
			alert('글반응 로그 정리가 완료되었습니다.');
			opener.location.reload(); 
			window.close(); 
		</script>
	<? } else { ?>
		<ul style="line-height:1.8;">
			<li><?php echo $response_day; ?>일이 지난 내글반응 로그를 삭제합니다.</li>
			<li>클릭후 완료 메시지 출력까지 기다려 주세요.</li>
		</ul>
		<script type="text/javascript"> 
			function set_href(href) {
				document.getElementById('loading').style.display = "block";
				document.location.href = encodeURI(href);
			}
		</script>
		<p style="text-align:center;">
			<input type="button" value=" 로그 정리하기 " onclick="set_href('<?=AMINA_URL?>/reset.response.php?bo_table=<?=$bo_table?>&act=on');" class="btn_blue">
		</p>
	<? } ?>
</div>
<div id="loading" style="display:none;margin-top:30px; text-align:center;">
		<img src="<?=AMINA_URL?>/img/loader.gif" />
		<p>정리 중...</p>
</div>
<? include(G5_PATH.'/tail.sub.php'); ?>